/*  Note: You are free to use whatever license you want.
    Eventually you will be able to edit it within Glade. */

/*  ghost-edit
 *  Copyright (C) <YEAR> <AUTHORS>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <gtk/gtk.h>
#include <stdio.h>

gchar *enableUpdate;
gchar *hostTableFile;
FILE *outfile;
gint currentRow;

GtkWidget *statusbar_main;

void
set_StatusBar                          (gchar           *text);

void
swap_Update_Enable                     (gchar           *c);

void
on_File_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
parse_cl_switches                      (gint            argc,
					gchar          *argv[]);

void
on_Host_Table_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_Help_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_lst_HostTable_select_row            (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_txt_NewIP_changed                   (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_btn_Add_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_Save_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_lst_HostTable_key_press_event       (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_btn_Edit_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_Close_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_Add_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_clist_HostTable_select_row          (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_btn_Edit_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_entry_IP_insert_text                (GtkEditable     *editable,
                                        gchar           *new_text,
                                        gint             new_text_length,
                                        gint            *position,
                                        gpointer         user_data);

void
on_entry_IP_insert_text                (GtkEditable     *editable,
                                        gchar           *new_text,
                                        gint             new_text_length,
                                        gint            *position,
                                        gpointer         user_data);

void
on_popup_Main_selection_done           (GtkMenuShell    *menushell,
                                        gpointer         user_data);

void
on_popup_Main_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_popup_Main_selection_done           (GtkMenuShell    *menushell,
                                        gpointer         user_data);

void
on_entry_Hostname_insert_text          (GtkEditable     *editable,
                                        gchar           *new_text,
                                        gint             new_text_length,
                                        gint            *position,
                                        gpointer         user_data);

void
on_entry_Aliases_insert_text           (GtkEditable     *editable,
                                        gchar           *new_text,
                                        gint             new_text_length,
                                        gint            *position,
                                        gpointer         user_data);

void
on_text_Comments_insert_text           (GtkEditable     *editable,
                                        gchar           *new_text,
                                        gint             new_text_length,
                                        gint            *position,
                                        gpointer         user_data);

void
on_btn_Save_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_ok_button1_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_ok_button1_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_cancel_button1_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_savedOK_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_entry_IP_motion_notify_event        (GtkWidget       *widget,
                                        GdkEventMotion  *event,
                                        gpointer         user_data);

gboolean
on_entry_IP_enter_notify_event         (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

gboolean
on_entry_IP_leave_notify_event         (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

gboolean
on_entry_IP_leave_notify_event         (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

gboolean
on_entry_IP_leave_notify_event         (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

gboolean
on_entry_IP_leave_notify_event         (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

gboolean
on_entry_Hostname_enter_notify_event   (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

gboolean
on_entry_Hostname_leave_notify_event   (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

gboolean
on_entry_Aliases_enter_notify_event    (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

gboolean
on_entry_Aliases_leave_notify_event    (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

void
on_btn_Remove_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_btn_Save_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_ok_button1_hide                     (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_fileselection1_hide                 (GtkWidget       *widget,
                                        gpointer         user_data);

GtkDirectionType
on_main_focus                          (GtkContainer    *container,
                                        GtkDirectionType direction,
                                        gpointer         user_data);

void
on_main_state_changed                  (GtkWidget       *widget,
                                        GtkStateType     state,
                                        gpointer         user_data);

gboolean
on_main_focus_in_event                 (GtkWidget       *widget,
                                        GdkEventFocus   *event,
                                        gpointer         user_data);

void
on_btn_Save_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_main_realize                        (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_ok_clicked                          (GtkButton       *button,
                                        gpointer         user_data);
